Bug 192144 - Review Request: musicbox
Review Request: musicbox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-17 17:06 EDT by Damien Durand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-28 10:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2006-05-17 17:06:20 EDT
Spec URL: http://glive.tuxfamily.org/fedora/musicbox/musicbox.spec
SRPM URL: http://glive.tuxfamily.org/fedora/musicbox/musicbox-0.2.3-1.src.rpm
Description: Musicbox is a simple one-file-at-a-time audio tag editor. It can edit 
ID3, Vorbis and FLAC tags via the TagLib library.
Comment 1 Brian Pepple 2006-05-18 11:06:55 EDT
Package fails to build in Mock.  Your missing a build requirement.
Comment 2 Damien Durand 2006-05-20 09:36:51 EDT
New spec file and srpm are here: http://glive.tuxfamily.org/fedora/musicbox/
Comment 3 Brian Pepple 2006-05-20 13:32:44 EDT
MD5Sums:
03f9eb2c446debd1e187d472c05dcad8  musicbox-0.2.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guide
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Desktop entry is fine
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* rpmlint produces no errors.
* Builds fine in mock.

Minor:
* Unnecessary BuildRequirement: gtk2-devel (provided by libglade2-devel)
* Don't package INSTALL doc, since it's the generic GNU file.

You can fix the 2 minor issues when you import it into FE CVS.

+1 APPROVE
Comment 4 Brian Pepple 2006-05-28 09:52:44 EDT
Damien, has then been build for FC5 & devel?  If so, this can be closed.

Note You need to log in before you can comment on or make changes to this bug.